//
//  IdmLogSaveHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/12/1.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "IdmLogSaveHttpPostCmd.h"
#import "IdmLogSaveHttpResult.h"

static NSString *kActionUrl1 = @"/Single/IdmLogSave";

@implementation IdmLogSaveHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[IdmLogSaveHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[IdmLogSaveHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
NSString *const kHttpIdmLogSaveHttpPostCmd_inputmessage = @"inputmessage";
NSString *const kHttpIdmLogSaveHttpPostCmd_logmessage = @"logmessage";
NSString *const kHttpIdmLogSaveHttpPostCmd_idmmessage = @"idmmessage";
